from metadata.sdk import configurefrom metadata.sdk.entities import Pipelinesconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDpipeline = Pipelines.retrieve("538faa63-d204-46ff-aead-d158d0401cac")print(f"{pipeline.fullyQualifiedName}: {pipeline.description}")# Get by ID with fieldspipeline = Pipelines.retrieve( "538faa63-d204-46ff-aead-d158d0401cac", fields=["owners", "tags", "tasks"])# Get by fully qualified namepipeline = Pipelines.retrieve_by_name("sample_airflow.dbt_analytics_customers")# Get by name with fieldspipeline = Pipelines.retrieve_by_name( "sample_airflow.dbt_analytics_customers", fields=["owners", "tags", "tasks", "domain"])
import static org.openmetadata.sdk.fluent.Pipelines.*;// Get by IDvar pipeline = Pipelines.retrieve("538faa63-d204-46ff-aead-d158d0401cac");// Get by ID with fieldsvar pipeline = Pipelines.retrieve( "538faa63-d204-46ff-aead-d158d0401cac", "owners,tags,tasks");// Get by fully qualified namevar pipeline = Pipelines.retrieveByName( "sample_airflow.dbt_analytics_customers");// Get by name with fieldsvar pipeline = Pipelines.retrieveByName( "sample_airflow.dbt_analytics_customers", "owners,tags,tasks,domain");
# Get by IDcurl "{base_url}/api/v1/pipelines/538faa63-d204-46ff-aead-d158d0401cac" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/pipelines/538faa63-d204-46ff-aead-d158d0401cac?fields=owners,tags,tasks,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/pipelines/name/sample_airflow.dbt_analytics_customers" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/pipelines/name/sample_airflow.dbt_analytics_customers?fields=owners,tags,tasks,domains" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configurefrom metadata.sdk.entities import Pipelinesconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDpipeline = Pipelines.retrieve("538faa63-d204-46ff-aead-d158d0401cac")print(f"{pipeline.fullyQualifiedName}: {pipeline.description}")# Get by ID with fieldspipeline = Pipelines.retrieve( "538faa63-d204-46ff-aead-d158d0401cac", fields=["owners", "tags", "tasks"])# Get by fully qualified namepipeline = Pipelines.retrieve_by_name("sample_airflow.dbt_analytics_customers")# Get by name with fieldspipeline = Pipelines.retrieve_by_name( "sample_airflow.dbt_analytics_customers", fields=["owners", "tags", "tasks", "domain"])
import static org.openmetadata.sdk.fluent.Pipelines.*;// Get by IDvar pipeline = Pipelines.retrieve("538faa63-d204-46ff-aead-d158d0401cac");// Get by ID with fieldsvar pipeline = Pipelines.retrieve( "538faa63-d204-46ff-aead-d158d0401cac", "owners,tags,tasks");// Get by fully qualified namevar pipeline = Pipelines.retrieveByName( "sample_airflow.dbt_analytics_customers");// Get by name with fieldsvar pipeline = Pipelines.retrieveByName( "sample_airflow.dbt_analytics_customers", "owners,tags,tasks,domain");
# Get by IDcurl "{base_url}/api/v1/pipelines/538faa63-d204-46ff-aead-d158d0401cac" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/pipelines/538faa63-d204-46ff-aead-d158d0401cac?fields=owners,tags,tasks,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/pipelines/name/sample_airflow.dbt_analytics_customers" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/pipelines/name/sample_airflow.dbt_analytics_customers?fields=owners,tags,tasks,domains" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configurefrom metadata.sdk.entities import Pipelinesconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDpipeline = Pipelines.retrieve("538faa63-d204-46ff-aead-d158d0401cac")print(f"{pipeline.fullyQualifiedName}: {pipeline.description}")# Get by ID with fieldspipeline = Pipelines.retrieve( "538faa63-d204-46ff-aead-d158d0401cac", fields=["owners", "tags", "tasks"])# Get by fully qualified namepipeline = Pipelines.retrieve_by_name("sample_airflow.dbt_analytics_customers")# Get by name with fieldspipeline = Pipelines.retrieve_by_name( "sample_airflow.dbt_analytics_customers", fields=["owners", "tags", "tasks", "domain"])
import static org.openmetadata.sdk.fluent.Pipelines.*;// Get by IDvar pipeline = Pipelines.retrieve("538faa63-d204-46ff-aead-d158d0401cac");// Get by ID with fieldsvar pipeline = Pipelines.retrieve( "538faa63-d204-46ff-aead-d158d0401cac", "owners,tags,tasks");// Get by fully qualified namevar pipeline = Pipelines.retrieveByName( "sample_airflow.dbt_analytics_customers");// Get by name with fieldsvar pipeline = Pipelines.retrieveByName( "sample_airflow.dbt_analytics_customers", "owners,tags,tasks,domain");
# Get by IDcurl "{base_url}/api/v1/pipelines/538faa63-d204-46ff-aead-d158d0401cac" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/pipelines/538faa63-d204-46ff-aead-d158d0401cac?fields=owners,tags,tasks,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/pipelines/name/sample_airflow.dbt_analytics_customers" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/pipelines/name/sample_airflow.dbt_analytics_customers?fields=owners,tags,tasks,domains" \ -H "Authorization: Bearer {access_token}"